{ config, lib, pkgs, ... }:

let
  cfg = config.samfelag.modules.app.yazi;
in
{
  options.samfelag.modules.app.yazi = {
    enable = lib.mkEnableOption "yazi";
  };
  config = lib.mkIf cfg.enable {
    hm.home.packages = with pkgs; [
      yazi
      ffmpeg
      ffmpegthumbnailer
      jq
      poppler
      fd
      ripgrep
      fzf
      zoxide
      imagemagick
      wl-clipboard
    ];

    fonts.fontconfig.enable = true;

    fonts.packages = with pkgs; [
      iosevka
      pkgs.nerd-fonts.iosevka
    ];


  };
}
